> For the complete documentation index, see [llms.txt](https://docs.aquanow.io/aquanow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aquanow.io/aquanow/legacy/api-endpoints-or-v1.0/transaction-api/get-withdrawal-fee-estimate.md).

# Get Withdrawal Fee Estimate

## Query Fiat and Crypto withdrawal fees

<mark style="color:blue;">`GET`</mark> `https://api.aquanow.io/accounts/v1/withdrawFeeEstimate`

To view example requests for this endpoint, visit Aquanow's [Postman](https://developer.aquanow.io/#42cc9a93-3f51-4a98-8d19-be08227cd98f) documentation.

#### Query Parameters

| Name    | Type   | Description                                                                                                                                                                                                                                                            |
| ------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol  | String | <p>e.g., <code>BTC</code></p><p>All uppercase letters. For the fee associated with a specific symbol.<br>Endpoint will return all symbols and their fee if not specific.</p>                                                                                           |
| network | String | <p>e.g., <code>XLM</code></p><p>For the network fee associated with a specific network.</p><p>Endpoint will return all networks and their fee if not specific.<br><br><mark style="color:orange;">NOTE:</mark> Only applicable to crypto withdrawal fee estimates.</p> |

{% tabs %}
{% tab title="200: OK Symbol and network specified" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

<pre class="language-json"><code class="lang-json">[
  {
    "symbol": "BTC",
    "network": "BTC",
    "fee": 0.001518092472,
    "minimumWithdrawalAmount": 0.001
<strong>  }
</strong>]
</code></pre>

{% endtab %}

{% tab title="200: OK Only network specified" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
[
    {
        "symbol": "USDC",
        "network": "tron",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDT",
        "network": "tron",
        "withdrawalFee": 0.003,
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "TRX",
        "network": "tron",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 1
    }
]
```

{% endtab %}

{% tab title="200: OK No query parameters specified" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
[
    {
        "symbol": "USD",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 0
    },
    {
        "symbol": "CAD",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 10
    },
    {
        "symbol": "EUR",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 0
    },
    {
        "symbol": "GBP",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 0
    },
    {
        "symbol": "AUD",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 0
    },
    {
        "symbol": "JPY",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 0
    },
    {
        "symbol": "BTC",
        "withdrawalFee": "0.03%",
        "network": "BTC",
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDC",
        "withdrawalFee": 0,
        "network": "eth",
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDC",
        "withdrawalFee": 0,
        "network": "xlm",
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDC",
        "withdrawalFee": 0,
        "network": "tron",
        "minimumWithdrawalAmount": 100
    },
    ...
]
```

{% endtab %}

{% tab title="200: OK Invalid network symbol combination" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
{
    "message": "Invalid network eth for symbol BTC"
}
```

{% endtab %}

{% tab title="200: OK Only symbol specified" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
[
    {
        "symbol": "USDC",
        "network": "eth",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDC",
        "network": "tron",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 100
    },
    {
        "symbol": "USDC",
        "network": "xlm",
        "withdrawalFee": 0,
        "minimumWithdrawalAmount": 100
    }
]
```

{% endtab %}

{% tab title="400: Bad Request Fiat and network query parameter combination" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
{
    "message": "Fiat symbols don't have a network"
}
```

{% endtab %}

{% tab title="404: Not Found Invalid network" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
{
    "message": "Invalid network ABC"
}
```

{% endtab %}

{% tab title="404: Not Found Invalid symbol" %}
Returns an array of [FeeEstimateObject](/aquanow/legacy/data-objects-and-statuses/transaction-objects/fee-estimate-objects.md).

```json
{
    "message": "Invalid symbol ABC"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aquanow.io/aquanow/legacy/api-endpoints-or-v1.0/transaction-api/get-withdrawal-fee-estimate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
